Plesk update failed: RPMDB altered outside of yum

Created:

2016-11-16 12:57:33 UTC

Modified:

2017-04-25 09:00:43 UTC

0

Was this article helpful?


Have more questions?

Submit a request

Plesk update failed: RPMDB altered outside of yum

Applicable to:

  • Plesk for Linux

Symptoms

I can not run updates without an error either via plesk panel or on command line, the following error ocurs:

ERROR: Failed to run the Yum utility.
The Yum utility failed to install the required packages.
Attention! Your software might be inoperable.
Please, contact product technical support.

In /var/log/plesk/install/autoinstaller3.log you can find these errors:

Warning: RPMDB altered outside of yum.
Exception: Scriptlet or other non-fatal errors occurred during transaction.

YumDownloadError: [u'Errors were encountered while downloading packages. failure: [Errno 256] No more mirrors to try.']

Cause

Yum cache failed to fetch the required repositories.

Resolution

Clear yum cache by following below steps:

  1. # rm -rf /var/lib/rpm/__db.*
  2. # rpm --rebuilddb
  3. # yum clean all
  4. # yum makecache

Start update again.

Have more questions? Submit a request
Please sign in to leave a comment.